Bug 260182 - www/lighttpd: checkconfig on service restart
Summary: www/lighttpd: checkconfig on service restart
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Piotr Kubaj
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2021-12-02 23:14 UTC by Dirk Meyer
Modified: 2021-12-04 21:28 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (pkubaj)


Attachments
Suggested patch (422 bytes, patch)
2021-12-02 23:14 UTC, Dirk Meyer
no flags Details | Diff
Suggested patch (4.22 KB, text/plain)
2021-12-04 12:52 UTC, Dirk Meyer
no flags Details
Suggested patch (3.45 KB, patch)
2021-12-04 13:04 UTC, Dirk Meyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Meyer freebsd_committer 2021-12-02 23:14:58 UTC
Created attachment 229853 [details]
Suggested patch

The Problem from PR/259114 was reported upstream at 
https://redmine.lighttpd.net/issues/3115

and was fixed in release 1.4.62.

The workaround in lighttp.in can now removed.
Comment 1 Tatsuki Makino 2021-12-03 04:25:52 UTC
By the way, off topic, is the multi-instance restart broken?
Comment 2 Dirk Meyer freebsd_committer 2021-12-04 12:48:56 UTC
I see segfaults with lighttpd-1.4.62.

currently testing the 3 patches from:

https://redmine.lighttpd.net/issues/3118
Comment 3 Dirk Meyer freebsd_committer 2021-12-04 12:52:40 UTC
Created attachment 229889 [details]
Suggested patch
Comment 4 Dirk Meyer freebsd_committer 2021-12-04 12:58:50 UTC
Comment on attachment 229889 [details]
Suggested patch

obsolete
Comment 5 Dirk Meyer freebsd_committer 2021-12-04 12:59:59 UTC
Comment on attachment 229853 [details]
Suggested patch

obsolete
Comment 6 Dirk Meyer freebsd_committer 2021-12-04 13:04:53 UTC
Created attachment 229892 [details]
Suggested patch
Comment 7 Dirk Meyer freebsd_committer 2021-12-04 18:17:49 UTC
Problem is fixed in release 1.4.63, 
please update an apply this patch to lighhhtp.in
Comment 8 Piotr Kubaj freebsd_committer 2021-12-04 21:28:05 UTC
1.4.63 committed with the rc script change.